This is Topcom.info, produced by Macaulay2, version 1.20

Topcom -- interface to selected functions from topcom package
*************************************************************

Description
===========

Topcom http://www.rambau.wm.uni-bayreuth.de/TOPCOM/ is mathematical software
written by Jorg Rambau for computing and manipulating triangulations of
polytopes and chirotopes.

This package implements two key functions from the topcom package
isRegularTriangulation,  checks whether a triangulation
of a point set is a regular triangulation, and regularFineTriangulation
(missing documentation) computes a triangulation which involves all lattice
points of a polytope.

Caveat
======

There are many other functions available in Topcom.  If you wish any of these
implemented, or you would like to contribute such an implementation, please
contact the author.

See also
========

  * CohomCalg -- an interface to the CohomCalg software
    for computing cohomology of torus invariant divisors on a toric variety
  * ReflexivePolytopesDB -- simple access to
    Kreuzer-Skarke database of reflexive polytopes of dimensions 3 and 4

Author
======

  * Mike Stillman (see http://www.math.cornell.edu/~mike )
    <mike@math.cornell.edu>

Version
=======

This documentation describes version 0.5 of Topcom.

Source code
===========

The source code from which this documentation is derived is in the file
Topcom.m2 (see common/share/Macaulay2/Topcom.m2 ).

Exports
=======

  * Functions and commands
      * allTriangulations (missing documentation)
      * chirotope (missing documentation)
      * fineStarTriangulation (missing documentation)
      * flips (missing documentation)
      * isRegularTriangulation -- determine if a
        given triangulation is a regular triangulation
      * naiveChirotope (missing documentation)
      * naiveIsTriangulation (missing documentation)
      * numFlips (missing documentation)
      * numTriangulations (missing documentation)
      * orientedCircuits (missing documentation)
      * orientedCocircuits (missing documentation)
      * regularFineStarTriangulation (missing documentation)
      * regularFineTriangulation (missing documentation)
      * regularTriangulationWeights (missing documentation)
      * topcomIsTriangulation (missing documentation)
  * Methods
      * "isRegularTriangulation(Matrix,List)" -- see
        isRegularTriangulation, -- determine if a given
        triangulation is a regular triangulation
  * Symbols
      * ConnectedToRegular (missing documentation)
      * Fine (missing documentation)
      * Homogenize (missing documentation)
      * RegularOnly (missing documentation)

For the programmer
==================

The object Topcom, is a package (Macaulay2Doc).

allTriangulations
*****************

Ways to use allTriangulations :
===============================

  * allTriangulations(Matrix) (missing documentation)

For the programmer
==================

The object allTriangulations (missing documentation) is a method function with options (Macaulay2Doc).

chirotope
*********

Ways to use chirotope :
=======================

  * chirotope(Matrix) (missing documentation)

For the programmer
==================

The object chirotope (missing documentation) is a method function with options (Macaulay2Doc).

ConnectedToRegular
******************

Functions with optional argument named ConnectedToRegular :
===========================================================

  * allTriangulations(...,ConnectedToRegular=>...) (missing documentation)
  * numTriangulations(...,ConnectedToRegular=>...) (missing documentation)

For the programmer
==================

The object ConnectedToRegular (missing documentation) is a symbol (Macaulay2Doc).

Fine
****

Functions with optional argument named Fine :
=============================================

  * allTriangulations(...,Fine=>...) (missing documentation)
  * numTriangulations(...,Fine=>...) (missing documentation)

For the programmer
==================

The object Fine (missing documentation) is a symbol (Macaulay2Doc).

fineStarTriangulation
*********************

Ways to use fineStarTriangulation :
===================================

  * fineStarTriangulation(Matrix,List) (missing documentation)

For the programmer
==================

The object fineStarTriangulation (missing documentation) is a method function (Macaulay2Doc).

flips
*****

Ways to use flips :
===================

  * flips(Matrix,List) (missing documentation)

For the programmer
==================

The object flips (missing documentation) is a method function with options (Macaulay2Doc).

Homogenize
**********

Functions with optional argument named Homogenize :
===================================================

  * allTriangulations(...,Homogenize=>...) (missing documentation)
  * chirotope(...,Homogenize=>...) (missing documentation)
  * flips(...,Homogenize=>...) (missing documentation)
  * isRegularTriangulation(...,Homogenize=>...) (missing documentation)
  * naiveChirotope(...,Homogenize=>...) (missing documentation)
  * numFlips(...,Homogenize=>...) (missing documentation)
  * numTriangulations(...,Homogenize=>...) (missing documentation)
  * orientedCircuits(...,Homogenize=>...) (missing documentation)
  * orientedCocircuits(...,Homogenize=>...) (missing documentation)
  * regularFineTriangulation(...,Homogenize=>...) (missing documentation)
  * regularTriangulationWeights(...,Homogenize=>...) (missing documentation)

For the programmer
==================

The object Homogenize (missing documentation) is a symbol (Macaulay2Doc).

isRegularTriangulation -- determine if a given triangulation is a regular triangulation
***************************************************************************************

Synopsis
========

  * Usage:
        isRegularTriangulation(C, tri)
  * Inputs:
      * C, a matrix (Macaulay2Doc), A matrix over ZZ.  Each
        column represents one of the points which can be used in a
        triangulation
      * tri, a list (Macaulay2Doc), A triangulation of the point
        set C
  * Optional inputs (Macaulay2Doc),:
      * Homogenize (missing documentation) => ..., default value true, null
  * Outputs:
      * a Boolean value (Macaulay2Doc), whether the given
        triangulation is regular

Description
===========

The following example is one of the simplest examples of a non-regular
triangulation.  Notice that tri is a triangulation of the polytope which is the
convex hull of the columns of $A$, which are the only points allowed in the
triangulation.

+-----------------------------------------------------------------------------+
|i1 : A = transpose matrix {{0,3},{0,1},{-1,-1},{1,-1},{-4,-2},{4,-2}}        |
|                                                                             |
|o1 = | 0 0 -1 1  -4 4  |                                                     |
|     | 3 1 -1 -1 -2 -2 |                                                     |
|                                                                             |
|              2        6                                                     |
|o1 : Matrix ZZ  <--- ZZ                                                      |
+-----------------------------------------------------------------------------+
|i2 : tri = {{0,1,2}, {1,3,5}, {2,3,4}, {0,1,5},                              |
|         {0,2,4}, {3,4,5}, {1,2,3}}                                          |
|                                                                             |
|o2 = {{0, 1, 2}, {1, 3, 5}, {2, 3, 4}, {0, 1, 5}, {0, 2, 4}, {3, 4, 5}, {1,  |
|     ------------------------------------------------------------------------|
|     2, 3}}                                                                  |
|                                                                             |
|o2 : List                                                                    |
+-----------------------------------------------------------------------------+
|i3 : isRegularTriangulation(A,tri)                                           |
|                                                                             |
|o3 = false                                                                   |
+-----------------------------------------------------------------------------+

Setting debugLevel to either 1,2, or 5 will give more detail about what files
are written to Topcom, and what the executable is. Setting debugLevel to 0
means that the function will run silently.

Caveat
======

Do we check that the triangulation is actually welll defined?

See also
========

  * regularFineTriangulation (missing documentation)

Ways to use isRegularTriangulation :
====================================

  * "isRegularTriangulation(Matrix,List)"

For the programmer
==================

The object isRegularTriangulation, is a
method function with options (Macaulay2Doc).

naiveChirotope
**************

Ways to use naiveChirotope :
============================

  * naiveChirotope(Matrix) (missing documentation)

For the programmer
==================

The object naiveChirotope (missing documentation) is a method function with options (Macaulay2Doc).

naiveIsTriangulation
********************

Ways to use naiveIsTriangulation :
==================================

  * naiveIsTriangulation(Matrix,List) (missing documentation)
  * naiveIsTriangulation(Matrix,List,List) (missing documentation)

For the programmer
==================

The object naiveIsTriangulation (missing documentation) is a method function (Macaulay2Doc).

numFlips
********

Ways to use numFlips :
======================

  * numFlips(Matrix,List) (missing documentation)

For the programmer
==================

The object numFlips (missing documentation) is a method function with options (Macaulay2Doc).

numTriangulations
*****************

Ways to use numTriangulations :
===============================

  * numTriangulations(Matrix) (missing documentation)

For the programmer
==================

The object numTriangulations (missing documentation) is a method function with options (Macaulay2Doc).

orientedCircuits
****************

Ways to use orientedCircuits :
==============================

  * orientedCircuits(Matrix) (missing documentation)
  * orientedCircuits(String) (missing documentation)

For the programmer
==================

The object orientedCircuits (missing documentation) is a method function with options (Macaulay2Doc).

orientedCocircuits
******************

Ways to use orientedCocircuits :
================================

  * orientedCocircuits(Matrix) (missing documentation)
  * orientedCocircuits(String) (missing documentation)

For the programmer
==================

The object orientedCocircuits (missing documentation) is a method function with options (Macaulay2Doc).

regularFineStarTriangulation
****************************

Ways to use regularFineStarTriangulation :
==========================================

  * regularFineStarTriangulation(Matrix) (missing documentation)

For the programmer
==================

The object regularFineStarTriangulation (missing documentation) is a
method function (Macaulay2Doc).

regularFineTriangulation
************************

Ways to use regularFineTriangulation :
======================================

  * regularFineTriangulation(Matrix) (missing documentation)

For the programmer
==================

The object regularFineTriangulation (missing documentation) is a method function with options (Macaulay2Doc).

RegularOnly
***********

Functions with optional argument named RegularOnly :
====================================================

  * allTriangulations(...,RegularOnly=>...) (missing documentation)
  * flips(...,RegularOnly=>...) (missing documentation)
  * numFlips(...,RegularOnly=>...) (missing documentation)
  * numTriangulations(...,RegularOnly=>...) (missing documentation)

For the programmer
==================

The object RegularOnly (missing documentation) is a symbol (Macaulay2Doc).

regularTriangulationWeights
***************************

Ways to use regularTriangulationWeights :
=========================================

  * regularTriangulationWeights(Matrix,List) (missing documentation)

For the programmer
==================

The object regularTriangulationWeights (missing documentation) is a
method function with options (Macaulay2Doc).

topcomIsTriangulation
*********************

Ways to use topcomIsTriangulation :
===================================

  * topcomIsTriangulation(Matrix,List) (missing documentation)

For the programmer
==================

The object topcomIsTriangulation (missing documentation) is a method function (Macaulay2Doc).